Subject: Re: [mpls] I-D Action: draft-xu-mpls-payload-protocol-identifier-00.txt

From: Xuxiaohu <[email-masked]>
Date: Tue, 8 Oct 2013 08:15:56 +0000

Hi Andy,

Sorry for my late response due to a long National Day holiday. 

First of all, thanks a lot for your comments. I agree that using a PW is a way of identifying the MPLS payload type. However, just for the purpose of using the EtherType field in the Ethernet header, it requires to establish a full mesh of P2P PWs between PE routers in addition to adding a 14-byte-long fake Ethernet header to each MPLS packet. Doesn't it seem a bit heavy-weight, in the case where the number of PE routers is huge enough that [RFC4447] signaling is not suitable anymore for setting up the PW?

Best regards,
Xiaohu

> -----邮件原件-----
> 发件人: [email-masked] [mailto:[email-masked]] 代表 Andrew
> G. Malis
> 发送时间: 2013年9月26日 21:44
> 收件人: [email-masked]
> 主题: Re: [mpls] I-D Action: draft-xu-mpls-payload-protocol-identifier-00.txt
> 
> A history lesson for the young-ins out there: this draft brings me
> back to the Good Old Days, when we had a nice little fight about
> whether or not all MPLS packets should include a protocol identifier
> or not, similar to multiprotocol encapsulation for Frame Relay (RFC
> 2427) and ATM (RFC 2684) (and interestingly, neither of those two RFCs
> are referenced by this one). Those of us that wanted to include a
> protocol ID in MPLS packets lost in the end.
> 
> However, the difference between then and now is that now we have
> pseudowires, and not only that, we already have a PW that implements
> the functionality of this draft, RFC 6658. Just use RFC 6658 and be
> done with it.
> 
> Cheers,
> Andy
> 
> On Thu, Sep 26, 2013 at 6:09 AM,  <[email-masked]> wrote:
> >
> > A New Internet-Draft is available from the on-line Internet-Drafts directories.
> >
> >
> >         Title           : MPLS Payload Protocol Identifier
> >         Author(s)       : Xiaohu Xu
> >                           Mach(Guoyi) Chen
> >         Filename        : draft-xu-mpls-payload-protocol-identifier-00.txt
> >         Pages           : 7
> >         Date            : 2013-09-26
> >
> > Abstract:
> >    The MPLS label stack has no explicit protocol identifier field to
> >    indicate the protocol type of the MPLS payload. This document
> >    proposes a mechanism for containing a protocol identifier field
> >    within the MPLS packet, which may be useful in some emerging use
> >    cases (e.g., network service chain and MPLS payload inspection).
> >
> >
> > The IETF datatracker status page for this draft is:
> > https://datatracker.ietf.org/doc/draft-xu-mpls-payload-protocol-identifier
> >
> > There's also a htmlized version available at:
> > http://tools.ietf.org/html/draft-xu-mpls-payload-protocol-identifier-00
> >
> >
> > Please note that it may take a couple of minutes from the time of submission
> > until the htmlized version and diff are available at tools.ietf.org.
> >
> > Internet-Drafts are also available by anonymous FTP at:
> > ftp://ftp.ietf.org/internet-drafts/
> >
> > _______________________________________________
> > I-D-Announce mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/i-d-announce
> > Internet-Draft directories: http://www.ietf.org/shadow.html
> > or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 8 Oct 2013 11:11:58 -0400

Xiaohu,

I hope you had an enjoyable holiday.

In a world with 100G links, the overhead associated with using an
Ethernet header for protocol identification really won't hurt. Or you
could use an L2TPv3 PW

In addition, thanks to MPLS-TP, you no longer need to signal for PWs,
you can statically configure them, or use any other manual or
automated provisioning you like, such as SNMP (RFCs 5601 and 5602).
Also, VPLS has also shown us that full meshes of PWs scale, there are
some very large VPLS deployments out there.

Cheers,
Andy